package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 兑换类型
 */
@AllArgsConstructor
@Getter
public enum ERedeemType {

    /**
     * 1=兑换
     */
    CONTINENT(1, "兑换"),
    /**
     * 2=撤单
     */
    COUNTRY(2, "撤单"),
    /**
     * 3=奖金
     */
    REGION(3, "奖金"),


    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

}
